/*
 * Shared Memory-based Loopback queue for internal trigger distribution
 *
 * Copyright (C) 2013-2014 CERN (www.cern.ch)
 * Author: Tomasz Wlostowski <tomasz.wlostowski@cern.ch>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LOOP_QUEUE_H
#define __LOOP_QUEUE_H

#include "mockturtle-rt.h"
#include "wrtd-common.h"

#define LOOP_QUEUE_SIZE 16

void loop_queue_init();
void loop_queue_push(struct wrtd_trig_id *id, uint32_t seq,
		     struct wr_timestamp *ts);
volatile struct wrtd_trigger_entry *loop_queue_pop(void);

#endif


